Bug 1578578 (CVE-2018-1257) - CVE-2018-1257 spring-framework: ReDoS Attack with spring-messaging
Summary: CVE-2018-1257 spring-framework: ReDoS Attack with spring-messaging
Status: CLOSED ERRATA
Alias: CVE-2018-1257
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180509,reported=2...
Keywords: Reopened, Security
Depends On: 1578579 1578580 1578938
Blocks: 1578941
TreeView+ depends on / blocked
 
Reported: 2018-05-15 22:13 UTC by Laura Pardo
Modified: 2019-06-10 10:22 UTC (History)
75 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:22:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1809 None None None 2018-06-07 08:26 UTC
Red Hat Product Errata RHSA-2018:3768 None None None 2018-12-04 16:01 UTC

Description Laura Pardo 2018-05-15 22:13:03 UTC
A flaw was found in Spring Framework, versions 5.0.x prior to 5.0.6, versions 4.3.x prior to 4.3.17, and older unsupported versions allows applications to expose STOMP over WebSocket endpoints with a simple, in-memory STOMP broker through the spring-messaging module. A malicious user (or attacker) can craft a message to the broker that can lead to a regular expression, denial of service attack.


References:
https://pivotal.io/security/cve-2018-1257

Comment 1 Laura Pardo 2018-05-15 22:14:34 UTC
Created springframework tracking bugs for this issue:

Affects: fedora-all [bug 1578579]

Comment 5 Jason Shepherd 2018-05-21 07:21:15 UTC
RHMAP doesn't make sure of websocket stomp as described in https://docs.spring.io/spring/docs/current/spring-framework-reference/web.html#websocket-stomp-enable

Marking RHMAP as not affected.

Comment 6 James Hebden 2018-05-25 04:07:39 UTC
ODL does not use WebSocket STOMP in any packaged components for any RHOSP release. Marked not affected.

Comment 9 claprun@redhat.com 2018-06-01 08:43:35 UTC
Shouldn't this be marked as high as that's how it's marked by Pivotal on its CVE?

Comment 10 errata-xmlrpc 2018-06-07 08:26:05 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes (text-only advisories)

Via RHSA-2018:1809 https://access.redhat.com/errata/RHSA-2018:1809

Comment 11 errata-xmlrpc 2018-12-04 16:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.2

Via RHSA-2018:3768 https://access.redhat.com/errata/RHSA-2018:3768

Comment 13 Joshua Padman 2019-05-15 22:58:15 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Data Virtualization & Services 6
 * Red Hat JBoss SOA Platform 5

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.


Note You need to log in before you can comment on or make changes to this bug.